Package org.springframework.security.config.core

# Class GrantedAuthorityDefaults

java.lang.Object
org.springframework.security.config.core.GrantedAuthorityDefaults

public final class GrantedAuthorityDefaults extends Object
Allows providing defaults for `GrantedAuthority`

Since:
  4.2.0

## Constructor Summary

Constructors
Constructor
Description
`GrantedAuthorityDefaults(String rolePrefix)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRolePrefix()`
The default prefix used with role based authorization.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GrantedAuthorityDefaults

public GrantedAuthorityDefaults(String rolePrefix)

## Method Details

### getRolePrefix

public String getRolePrefix()
The default prefix used with role based authorization. Default is "ROLE_".

Returns:
  the default role prefix